Name:      glglobe
Version:   0.2
Release:   8%{?dist}
Summary:   OpenGl Globe - Earth simulation for linux

Group:     Amusements/Graphics
License:   GPLv2
URL:       http://www.geocities.com/harpin_floh/glglobe_page.html
Source0:   http://www.geocities.com/harpin_floh/mysoft/glglobe-0.2.tar.gz
# glglobe does not have icons of its own. I modifed the upstream website's
# banner logo, selected a limited part to get the sun effect, then scaled that 
# to the standard icon sizes required. On 2007-07-29 I requested upstream to 
# provide suitable icons, or provide feedback on those I created, but no 
# response has been received.
Source1:   glglobe.16x16.png
Source2:   glglobe.24x24.png
Source3:   glglobe.48x48.png
# This desktop file was created by hand.
Source4:   glglobe.desktop

Patch0:    glglobe-0.2-fix-newline-warnings.patch
Patch1:    glglobe-0.2-fix-signedness-differs-warnings.patch
# if the default params are not set, glglobe segfaults when the middle click
# menu is activated
Patch2:    glglobe-0.2-set-default-params.patch
Patch3:    glglobe-0.2-makefile_accept_passed_optflags.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: freeglut-devel libpng-devel libjpeg-devel 
BuildRequires: libXext-devel libXaw-devel libXi-devel desktop-file-utils
##Requires:       todo!

%description
GLGlobe is an OpenGL - globe simulation for Linux. It was inspired by XGlobe or
XEarth and can use the marker-files of these programs. The simulation includes
day light and night time rendering, and the globe can be rotated and scaled 
interactively, or automatically rotated based on the current time of day


%prep
# -n sets tgz extract folder to match version
%setup -q -n glglobe
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
#no configure, so:
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
# manual install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 glglobe %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/glglobe
install -p -m 0644 depths_1440.jpg xglobe-markers earth-markers-schaumann %{buildroot}%{_datadir}/glglobe

#mkdir -p %{buildroot}%{_docdir}/glglobe
#install -p -m 0644 ChangeLog COPYING README TODO %{buildroot}%{_docdir}/glglobe

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/
install -p -m 644 %{SOURCE1} \
        %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/24x24/apps/
install -p -m 644 %{SOURCE2} \
        %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 %{SOURCE3} \
        %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

mkdir -p %{buildroot}%{_datadir}/applications
#install -p -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora \
    --dir %{buildroot}%{_datadir}/applications %{SOURCE4}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/glglobe
%{_datadir}/glglobe
%{_datadir}/applications/fedora-glglobe.desktop
%{_datadir}/icons/hicolor/*/apps/glglobe.*.png
%doc ChangeLog COPYING README TODO


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2-6
- Autorebuild for GCC 4.3

* Sat Aug 11 2007 David Timms <dtimms at iinet.net.au> - 0.2-5
- actually build with updated .desktop file

* Thu Aug  9 2007 David Timms <dtimms at iinet.net.au> - 0.2-4
- add comment re Source1..4 creation
- mod .desktop category to Education
- del .desktop category deprecated items
- del extraneous Requires(post/postun) for desktop-file-utils
- mod desktop-file-install to simpler command, using SOURCEx
- add ownership of app data directory
- mod ownership of icon data to glglobe specific filenames
- mod License to meet new Licensing Guidelines

* Tue Jul 31 2007 David Timms <dtimms at iinet.net.au> - 0.2-3
- add BuildRequires: desktop-file-utils so that it builds in mock

* Sun Jul 29 2007 David Timms <dtimms at iinet.net.au> - 0.2-2
- del commenting about non-existent configure.
- add export CFLAGS="$RPM_OPT_FLAGS" so that rpm flags are used during build.
- add makefile patch to use environment CFLAGS if they are defined.

* Sun Jul 29 2007 David Timms <dtimms at iinet.net.au> - 0.2-1
- Initial fedora package submission for review

